# Summary

- [Welcome](welcome.md)
- [Installation](installation.md)
- [Getting started](getting-started.md)
- [Using the results](using-results.md)
  - [Hangs and timeouts](timeouts.md)
  - [Exit codes](exit-codes.md)
  - [The `mutants.out` directory](mutants-out.md)
- [Skipping untestable code](skip.md)
  - [Skipping functions with an attribute](attrs.md)
  - [Skipping function calls](skip_calls.md)
  - [Filtering files](skip_files.md)
  - [Filtering functions and mutants](filter_mutants.md)
- [Controlling cargo-mutants](controlling.md)
  - [Display and output](output.md)
  - [Listing and previewing mutations](list.md)
  - [Workspaces and packages](workspaces.md)
  - [Passing options to Cargo](cargo-args.md)
  - [Copying the tree](build-dirs.md)
  - [Using nextest](nextest.md)
  - [Baseline tests](baseline.md)
  - [Testing in-place](in-place.md)
  - [Iterating on missed mutants](iterate.md)
  - [Strict lints](lints.md)
- [Generating mutants](mutants.md)
  - [Error values](error-values.md)
  - [Macros](macros.md)
- [Improving performance](performance.md)
  - [Parallelism](parallelism.md)
  - [Jobserver](jobserver.md)
  - [Sharding](shards.md)
  - [Testing code changed in a diff](in-diff.md)
- [Integrations](integrations.md)
- [Continuous integration](ci.md)
  - [Incremental tests of pull requests](pr-diff.md)
- [How it works](how-it-works.md)
  - [Goals](goals.md)
  - [Mutations vs coverage](vs-coverage.md)
  - [Differences from fuzzing](vs-fuzzing.md)
  - [Limitations](limitations.md)
  - [How to help](how-to-help.md)
- [Stability](stability.md)
- [Changelog](changelog.md)
